#pragma message "MainFX loaded...\n"

texture texColorBuffer : COLOR; // or SV_Target
texture texDepthBuffer : DEPTH; // or SV_Depth

#include "RevoltFX/ADD1.fx"

// Samplers.
sampler samplerColor { Texture = texColorBuffer; };
sampler samplerDepth { Texture = texDepthBuffer; };


// Default VertexShader.
void MainVS(
	in uint id : SV_VertexID,
	out float4 position : SV_Position,
	out float2 texcoord : TEXCOORD0)
{
	texcoord = float2((id << 1) & 2, id & 2);
	position = float4(texcoord * float2(2, -2) + float2(-1, 1), 0, 1);
}